webkit-0.12.3: Binding to the Webkit library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.WebKit.SoupAuthDialog

Contents

- Description
- Types

Description

Access to the WebKit Web Resource

Synopsis

- data SoupAuthDialog
- class GObjectClass o => SoupAuthDialogClass o

# Description

WebKitSoupAuthDialog is a SoupSessionFeature that you can attach to your SoupSession to provide a simple authentication dialog while handling HTTP basic auth. It is built as a simple C-only module to ease reuse.

# Types

data SoupAuthDialog Source

Instances

Eq SoupAuthDialog |
Ord SoupAuthDialog |
GObjectClass SoupAuthDialog |
SoupAuthDialogClass SoupAuthDialog |

class GObjectClass o => SoupAuthDialogClass o Source

Instances

SoupAuthDialogClass SoupAuthDialog |